Summary:	Downloader for YLE Areena, YleX Areena, and Elävä arkisto
Name:		yle-dl
Version:	2.14
Release:	%mkrel 1
URL:		http://aajanki.github.io/yle-dl/
Source0:	https://github.com/aajanki/yle-dl/archive/%{version}/%{name}-%{version}.tar.gz
# Retrieved 2017-01-28
# https://github.com/K-S-V/Scripts/wiki
Source1:	https://raw.githubusercontent.com/K-S-V/Scripts/master/AdobeHDS.php
License:	GPLv2
Group:		Video/Utilities
BuildArch:	noarch
Provides:	rtmpdump-yle = %{version}
Obsoletes:	rtmpdump-yle < 2
Requires:	rtmpdump >= 2.4
Requires:	python-pycrypto
Requires:	php-cli
Requires:	php-curl
Requires:	php-bcmath

%description
yle-dl (previously known as RTMPDump-YLE) is a command-line program for
downloading media files from the video streaming services of the
Finnish national broadcasting company YLE: YLE Areena, YleX Areena,
and Elävä arkisto.

yle-dl can also handle live radio and TV broadcasts.

You can download files from these services for private use only.
Redistributing programs from these services without permission is
forbidden.

%prep
%setup -q

# fix path to AdobeHDS.php
sed -i -e 's|\(hds_binary.*\)/usr/local.*AdobeHDS.php|\1%{_datadir}/%{name}/AdobeHDS.php|' yle-dl

%install
%make_install prefix=%{_prefix}

# AdobeHDS.php
install -Dpm644 %{_sourcedir}/AdobeHDS.php \
	%{buildroot}%{_datadir}/%{name}/AdobeHDS.php

# Compatibility symlink only, added 2012-07:
ln -s yle-dl %{buildroot}%{_bindir}/rtmpdump-yle

%files
%doc README.fi README.md ChangeLog*
%{_bindir}/rtmpdump-yle
%{_bindir}/yle-dl
%{_datadir}/%{name}/


%changelog
* Sat Jan 28 2017 wally <wally> 2.14-1.mga6
+ Revision: 1083758
- new version 2.14
- fetch latest AdobeHDS.php

* Sat Jan 16 2016 wally <wally> 2.10.0-1.mga6
+ Revision: 924374
- new version 2.10.0
- get latest AdobeHDS.php

* Sat Oct 31 2015 wally <wally> 2.9.0-1.mga6
+ Revision: 896875
- new version 2.9.0
- updated AdobeHDS.php

* Mon Oct 05 2015 wally <wally> 2.8.1-2.mga6
+ Revision: 886484
- require php-mcrypt

* Mon Oct 05 2015 wally <wally> 2.8.1-1.mga6
+ Revision: 886479
- new version 2.8.1
- retrieve latest AdobeHDS.php

* Sun Jun 21 2015 wally <wally> 2.7.2-1.mga6
+ Revision: 837762
- new version 2.7.2
- use AdobeHDS.php to download videos

* Wed Oct 15 2014 umeabot <umeabot> 2.2.1-3.mga5
+ Revision: 747337
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.2.1-2.mga5
+ Revision: 690836
- Mageia 5 Mass Rebuild

* Sun Apr 06 2014 anssi <anssi> 2.2.1-1.mga5
+ Revision: 612418
- new version 2.2.1

* Fri Oct 18 2013 umeabot <umeabot> 2.0.2-3.mga4
+ Revision: 520863
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 2.0.2-2.mga3
+ Revision: 387572
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 23 2012 malo <malo> 2.0.2-1.mga3
+ Revision: 321423
- spec clean-up
- update to 2.0.2

* Sat Jul 28 2012 anssi <anssi> 2.0.1-1.mga3
+ Revision: 275453
- new version (works again with updated YLE Areena)
- rename from rtmpdump-yle to yle-dl (upstream rename)
- now uses system rtmpdump (>= 2.4) instead of bundled modified copy
- package is now noarch
- update license tag
- add compatibility symlink "rtmpdump-yle" for now

* Sat Apr 07 2012 anssi <anssi> 1.4.6-1.mga2
+ Revision: 229436
- new version 1.4.6
- update description and summary as per current upstream information
- drop now unneeded charset conversions and file removals, adopted
  upstream
- drop now unneeded patch for system json, fixed upstream
- imported package rtmpdump-yle

